2019-07-18 00:21 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000126QElectroTechDiagram Editorpublic2017-01-02 18:29
ReporterMorganol 
Assigned To 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformQt5.6.2, kf5.29.0, Plasma5.8.4, OS64bit, Linux4.8.14, gcc5.4.0,OS VersionXorg 1.19.0, Mageia6 (dev)
Product VersionSVN/trunk 
Target VersionFixed in VersionSVN/trunk 
Summary0000126: Crash deleting slave element and formula visible at master, debug screenshot
Descriptionr4810
I was playing around with linking, connectorless master and slaves for linking i.e boxes on overview (masters) with pages containing their content (slaves). I iterated beetween deleting old elements on schema, editing elements, placing new variant. suddenly when i deleted a slave, the folio ref at the master did not disappear, but the folrmula was displayed instead! I then selected the master and pressed delete and realised QET had segfaulted. I am not sure it segfaulted already after i had deleted the slave or when i deleted master. Anyway slave vanished from sight but not master (see screenshot; master have the blue dot. )
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000217

Morganol (reporter)

Probably same cause as bug 129 & 130, fixed by r4828

~0000221

scorpio810 (administrator)

Thanks for report this issue
+Notes

-Issue History
Date Modified Username Field Change
2016-12-15 17:48 Morganol New Issue
2016-12-15 17:48 Morganol File Added: Crash deleting slave.png
2017-01-02 18:01 Morganol Note Added: 0000217
2017-01-02 18:29 scorpio810 Status new => resolved
2017-01-02 18:29 scorpio810 Resolution open => fixed
2017-01-02 18:29 scorpio810 Fixed in Version => SVN/trunk
2017-01-02 18:29 scorpio810 Note Added: 0000221
+Issue History